Update app settings
curl --request PUT \
--url https://api.hyzecloud.com/api/apps/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"memoryMB": 123,
"startupCommand": "<string>",
"exposePort": 123,
"subdomain": "<string>",
"autoRestart": true
}
'import requests
url = "https://api.hyzecloud.com/api/apps/{appId}/settings"
payload = {
"name": "<string>",
"memoryMB": 123,
"startupCommand": "<string>",
"exposePort": 123,
"subdomain": "<string>",
"autoRestart": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
memoryMB: 123,
startupCommand: '<string>',
exposePort: 123,
subdomain: '<string>',
autoRestart: true
})
};
fetch('https://api.hyzecloud.com/api/apps/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/apps/{appId}/settings"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"memoryMB\": 123,\n \"startupCommand\": \"<string>\",\n \"exposePort\": 123,\n \"subdomain\": \"<string>\",\n \"autoRestart\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Applications
Update app settings
Atualiza configurações do app. Mudanças que afetam o runtime reiniciam o container.
PUT
/
api
/
apps
/
{appId}
/
settings
Update app settings
curl --request PUT \
--url https://api.hyzecloud.com/api/apps/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"memoryMB": 123,
"startupCommand": "<string>",
"exposePort": 123,
"subdomain": "<string>",
"autoRestart": true
}
'import requests
url = "https://api.hyzecloud.com/api/apps/{appId}/settings"
payload = {
"name": "<string>",
"memoryMB": 123,
"startupCommand": "<string>",
"exposePort": 123,
"subdomain": "<string>",
"autoRestart": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
memoryMB: 123,
startupCommand: '<string>',
exposePort: 123,
subdomain: '<string>',
autoRestart: true
})
};
fetch('https://api.hyzecloud.com/api/apps/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/apps/{appId}/settings"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"memoryMB\": 123,\n \"startupCommand\": \"<string>\",\n \"exposePort\": 123,\n \"subdomain\": \"<string>\",\n \"autoRestart\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Autorizações
API key com prefixo hyze_. Crie no dashboard em Settings → Developer.
Parâmetros de caminho
Minimum string length:
1Corpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Resposta
default
Response
Última modificação em 1 de setembro de 2026

